/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

debugobj = {};
jQuery(function() {

    debugobj.mainid = "#todolistoxaprocv1030";
    debugobj.user = localStorage['user'] ? localStorage['user'] : '';
    jQuery('body').append('<div id="todolistoxaprocv1030" ><h1>ToDo List</h1><p>User : <input type="text" name="user" value="' + debugobj.user + '"/><button type="button" name="connect" >GO</button></p></div>');
    jQuery(debugobj.mainid).attr('style', 'border-left: 1px solid gray; display:none;z-index: 9999999999; position: fixed; top: 0; right: 0; width: 300px;background: white;overflow-y: auto; overflow-x: hidden;padding: 10px;padding-left: 16px;height:' + jQuery(window).height() + 'px;');
    jQuery(debugobj.mainid + ' button').click(function() {


        debugobj.user = jQuery(debugobj.mainid + ' input').val();
        localStorage['user'] = debugobj.user;
        jQuery(debugobj.mainid + ' h1').html('ToDo List - ' + debugobj.user + ' <span>(X)</span>').click(loadtodoxml).find('span').click(function() {
            jQuery(debugobj.mainid).hide(400);
        });
        jQuery(debugobj.mainid + ' p').remove();
        loadtodoxml();
    });

    jQuery(window).dblclick(function(evt) {

        if (evt.clientX > jQuery(window).width() - 25)
            jQuery(debugobj.mainid).show(400);

    });
});

function loadtodoxml()
{
    var urlfiles = 'http://figari/oxaproc2/rd/todo/';
    jQuery(debugobj.mainid).children().not('h1').remove();

    jQuery.ajax({
        cache: false,
        url: urlfiles + 'todolist.php',
        success: function(resp, xhr, status) {
            jQuery(debugobj.mainid).append('<div id="__debug_resize"></div><div id="__debug_add"></div><hr/><ol id="__debug_list" style="padding: 0;width: 280px; overflow: auto;"></ol>');
            jQuery('#__debug_add').append('<textarea name="__debug_txt"></textarea><br/><button type="button" name="__debug_go">Ajouter</button>');

            if (navigator.appName == 'Netscape')
            {
                jQuery('#__debug_resize').draggable({axis: "x", drag: function() {
                        var diff = parseInt(jQuery('#__debug_resize').css('right'));
                        jQuery(debugobj.mainid).width(diff - 20);
                        jQuery('#__debug_list').width(diff - 40);
                    }}).prop('style', 'position: fixed;right:300px;background:black;top:0;cursor:move;').width(4).height(jQuery(window).height());
            }
            jQuery(resp).find('todo').each(function(idx, elm) {

                var style = '';
                if (jQuery(elm).attr('finish'))
                    jQuery('#__debug_list').append('<li style="white-space:nowrap;color: rgb(0,192,255);height:24px;" >' + jQuery(elm).attr('start') + ' | ' + jQuery(elm).text() + ' | ' + jQuery(elm).attr('finish') + '</li>').children().last().prop('title', jQuery(elm).text());
                else
                    jQuery('#__debug_list').append('<li style="white-space:nowrap;" >' + jQuery(elm).attr('start') + ' | <b>' + jQuery(elm).text() + '</b> | <button type="button">Suppr.</button></li>').children().last().prop('title', jQuery(elm).text());
            });

            jQuery('#__debug_add button').click(function() {

                var data = jQuery('#__debug_add textarea').val();

                jQuery.ajax({
                    type: 'POST',
                    url: urlfiles + 'todolist.php',
                    data: {operation: 'add', user: debugobj.user, data: data},
                    cache: false,
                    success: loadtodoxml
                });
            });

            jQuery('#__debug_list button').click(function(evt) {

                jQuery('#__debug_list button').prop('disabled', true);

                var data = jQuery('#__debug_list button').index(evt.currentTarget);

                jQuery.ajax({
                    type: 'POST',
                    url: urlfiles + 'todolist.php',
                    data: {operation: 'suppr', data: data},
                    cache: false,
                    success: function() {

                        jQuery(evt.currentTarget).parent().hide(400, loadtodoxml);
                    }

                });
            });

            jQuery('#__debug_list li').dblclick(function(evt) {

                var data = jQuery('#__debug_list li').index(evt.currentTarget);

                jQuery.ajax({
                    type: 'POST',
                    url: urlfiles + 'todolist.php',
                    data: {operation: 'finish', user: debugobj.user, data: data},
                    cache: false,
                    success: loadtodoxml
                });
            });

        }
    })
}